echo off
cls
echo Monday Night Football Upgrade Installation
echo Version 1.2
echo Copyright 1990, Data East USA, Inc.
echo and the Park Place Production Team
echo All Rights Reserved
echo ÿ
if exist install.bat goto cont
echo Please change to the drive containing the VGA disk before typing INSTALL.
echo For example, type A: and press Enter. Then type INSTALL and press Enter.
goto end
:cont
if "%1" == "mono" goto s16
if "%1" == "MONO" goto s16
if "%1" == "cga" goto s16
if "%1" == "CGA" goto s16
if "%1" == "ega" goto s16
if "%1" == "EGA" goto s16
if "%1" == "tandy" goto s16
if "%1" == "TANDY" goto s16
if "%1" == "vga" goto s256
if "%1" == "VGA" goto s256
if "%1" == "mcga" goto s256
if "%1" == "MCGA" goto s256

:instruct
echo Install usage:
echo ______________
echo INSTALL [graphics type] [destination drive]
echo ÿ
echo INSTALL mono     ;Installs the 2 color version to your floppy drive
echo INSTALL cga      ;Installs the 4 color version to your floppy drive
echo INSTALL ega   c: ;Installs the 16 color version to your hard disk in drive c
echo INSTALL tandy c: ;Installs the 16 color version to your hard disk in drive c
echo INSTALL vga   d: ;Installs the 256 color version to your hard disk in drive d
echo ÿ
goto end

:s16
if "%2" == "c:" goto s16h
if "%2" == "C:" goto s16h
if "%2" == "d:" goto s16h
if "%2" == "D:" goto s16h
if "%2" == "e:" goto s16h
if "%2" == "E:" goto s16h
if "%2" == "f:" goto s16h
if "%2" == "F:" goto s16h
if "%2" == "g:" goto s16h
if "%2" == "G:" goto s16h

:s16a
echo ÿ
$flpins$ 5
echo ÿ
echo To Play Monday Night Football:
echo ÿ
echo      Insert the Disk Labeled Camera 1
echo      Type MONDAY and Press Enter
echo ÿ
goto end

:wrongdest
echo Illegal Destination Input
echo ÿ
goto instruct

:s256
if "%2" == "a:" goto wrongdest  
if "%2" == "A:" goto wrongdest
if "%2" == "b:" goto wrongdest
if "%2" == "B:" goto wrongdest
if "%2" == "c:" goto s25h
if "%2" == "C:" goto s25h
if "%2" == "d:" goto s25h
if "%2" == "D:" goto s25h
if "%2" == "e:" goto s25h
if "%2" == "E:" goto s25h
if "%2" == "f:" goto s25h
if "%2" == "F:" goto s25h
if "%2" == "g:" goto s25h
if "%2" == "G:" goto s25h
goto wrongdest

:s16h
if exist %2\monday goto NoMonday
if exist %2\monday\*.* goto NoMonday
echo ÿ
copy instalh5.bat %2\ >NUL
if not exist %2\INSTALH5.BAT goto NoSpace
md %2\monday > nul
%2\instalh5 16 %2 %2\monday

:s25h
if exist %2\monday goto NoMonday
if exist %2\monday\*.* goto NoMonday
echo ÿ
copy instalh5.bat %2\ >NUL
if not exist %2\INSTALH5.BAT goto NoSpace
md %2\monday > nul
%2\instalh5 256 %2 %2\monday

:NoMonday
echo ÿ
echo %2\MONDAY already exists!
echo Please remove %2\MONDAY before attempting this installation.
goto end

:NoSpace
echo Hard Disk Full
goto instruct 

:end
